WSNotification::Types::TopicType(3)

NAME
WSNotification::Types::TopicType

DESCRIPTION
Perl data type class for the XML Schema defined complexType TopicType from the namespace http://docs.oasis-open.org/wsn/t-1.

  PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   MessagePattern

METHODS

  new
Constructor. The following data structure may be passed to new():

 { # WSNotification::Types::TopicType
   MessagePattern =>  { # WSNotification::Types::QueryExpressionType
   },
 },

  attr
NOTE: Attribute documentation is experimental, and may be inaccurate. See the correspondent WSDL/XML Schema if in question.

This class has additional attributes, accessibly via the attr() method.

attr() returns an object of the class WSNotification::Types::TopicType::_TopicType::XmlAttr.

The following attributes can be accessed on this object via the corresponding get_/set_ methods:

•   name

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::NCName.

•   final

    This attribute is of type SOAP::WSDL::XSD::Typelib::Builtin::boolean.

AUTHOR
Generated by SOAP::WSDL